package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.QcCasesEntryAllDTO;
import com.diagbot.dto.QcCasesEntryDTO;
import com.diagbot.dto.QcCasesEntrySimpleDTO;
import com.diagbot.entity.QcCasesEntry;
import com.diagbot.mapper.QcCasesEntryMapper;
import com.diagbot.service.QcCasesEntryService;
import com.diagbot.vo.QcCasesEntryAllVO;
import com.diagbot.vo.QcCasesEntryIndexVO;
import com.diagbot.vo.QcEntryHospitalVO;
import com.diagbot.vo.QcTypeIndexVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 病历条目 服务实现类
 * </p>
 *
 * @author wangfeng
 * @since 2020-03-10
 */
@Service
public class QcCasesEntryServiceImpl extends ServiceImpl<QcCasesEntryMapper, QcCasesEntry> implements QcCasesEntryService {

    @Override
    public IPage<QcCasesEntryAllDTO> getAllQcCasesEntry(QcCasesEntryAllVO qcCasesEntryAllVO) {
        return baseMapper.getAllQcCasesEntry(qcCasesEntryAllVO);
    }

    @Override
    public IPage<QcCasesEntryAllDTO> getAllQcCasesEntryIndex(QcCasesEntryIndexVO qcCasesEntryIndexVO) {
        return baseMapper.getQcCasesEntryIndex(qcCasesEntryIndexVO);
    }

    @Override
    public List<QcCasesEntryDTO> getByCasesEntryId(List<Long> ids) {
        return baseMapper.getByCasesEntryId(ids);
    }

    @Override
    public List<QcCasesEntryDTO> getQcCasesEntryAll() {
        return baseMapper.getQcCasesEntryAll();
    }

    @Override
    public List<QcCasesEntrySimpleDTO> index(QcTypeIndexVO qcTypeIndexVO) {
        return baseMapper.index(qcTypeIndexVO);
    }

    @Override
    public List<QcCasesEntrySimpleDTO> getEntryByHospital(QcEntryHospitalVO qcEntryHospitalVO) {
        return baseMapper.getEntryByHospital(qcEntryHospitalVO);
    }
}
