package com.diagbot.vo;

import com.diagbot.entity.CasesEntryHospital;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

/**
 * @Description:
 * @author: wangyu
 * @time: 2020/3/31 13:51
 */
@Getter
@Setter
public class InsertByHospitalVO {

    private Long id;
    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 病历id
     */
    @NotNull(message = "请输入所属模块id")
    private Long casesId;
    @NotBlank(message = "请输入条目名称")
    private String casesName;
    @NotBlank(message = "请输入模块编码")
    private String code;

    /**
     * 条目
     */
    private String name;

    /**
     * 规则类型(0：无，1：空项，2：错误)
     */
    private Integer ruleType;

    private String precond;

    private Long modeId;

    /**
     * 备注
     */
    private String remark;

    List<CasesEntryHospital> casesEntryHospitals;
}
